const path = require('path');

module.exports = (config, options) => {
  const PRODUCTION = process.env.NODE_ENV === 'production';
  const BROWSER = process.env.UCAP_ENV_RUNTIME === 'BROWSER';

  if (!BROWSER) {
    config.target = 'electron-renderer';
  } else {
    config.target = 'web';
    config.node = {
      fs: 'empty',
    };
  }

  config.resolve.alias = {
    ...config.resolve.alias,
    '@ucap-webmessenger-scss/ui': path.resolve(
      __dirname,
      '..',
      'projects/ucap-webmessenger-ui/src/assets/scss'
    ),
  };

  return config;
};
